follow us on google+ follow us feedburner

FORUM

Phpmyadmin upd from 3.3.9.2 (5.5.6) to 3.5.2.2 (12.1)



Posted by: Trebly
January 28, 2013 02:37AM
Hi,

I just upgrade to 12.1 (5.4.6) form 5.3.6.

After installation I use a copy of my mysql_data (there no mysql upgrade to do for upgrade 5.5.10 to 5.5.27)

When I run phpmyadmin I get the error (many threads on web) about "phpmyadmin.pma_recent" table which doesn't exist.

So, I stop there and look at "create_tables.sql" on both versions and compare at each other.

There are many changes. But, when I run for the first time easyphp connected on my mysql_data (which includes the old phpmyadmin database -the phpmyadmin database is not listed - and fourty other databases), there is no upgrade piece of soft running to upgrade de phpmyadmin database before running the new version of phpmyadmin.

The lonely available solution is that a php piece of soft should run to connect and update the data base before launching the new phpmyadmin.

I could not find anything in easyphp software 12.1 which seems to threat this problem.
In phpmyadmin documentation we can find some useful informations, but nothing about the way to upgrade the phpmyadmin database to the new one using all the data coming from the old version (previous I upgrade easyphp from 5.3.6 to 12.1 which is in panels named 5.4.6).

Do is it the job of each developer to write and test the php file ?
Piece of soft which :
1- Test the database phpmyadmin to know what is the current version (data schemes of each version can be easyly stored)
2- If the version is not updated run the mysql commands to update the tables (for someones create).

By coherency if the developer uses easyphp since long years,he knows well that each easyphp version is associated to four main numbers of version Apache, Php, Mysql and Phpmyadmin.
So after an upgrade, I think that Easyphp could verify not only the current version of soft running (easy because easyphp launches them, there nothing todo) but too the data.

Two upgrades can be performed :
1- Mysql upgrade (must not be automatic, because a copy of the whole data_path must be done before to be able to make run old versions if something don't goes well - with some a little sophisticated precautions and system configurations it is possible to make run various version -old ones - on the corresponding databases)
2- phpmyadmin database upgrade

What to do ?

Best regards,

Trebly
Options: ReplyQuote
Posted by: Trebly
January 29, 2013 02:37AM
No news - not found any solution - so migration is stopped
Trebly



Edited 1 time(s). Last edit at 01/29/2013 02:38AM by Trebly.
Options: ReplyQuote
Posted by: Trebly
January 31, 2013 02:00AM
Hi,

I have opened a thread on phpmyadmin forum.

You will find the problem explanation, solution and proposals for security of installation management at :

<Source forge/phpmyadmin thread 6a14d9cf | [sourceforge.net];

Best regards

Trebly
Options: ReplyQuote


Your Name: 
Your Email: 
Subject: 
Spam prevention:
Please, enter the code that you see below in the input field. This is for blocking bots that try to post this form automatically. If the code is hard to read, then just try to guess it right. If you enter the wrong code, a new image is created and you get another chance to enter it right.